> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/partner-api-reference/reference/invoices/invoices.md).

# Invoices

Endpoints for listing, retrieving, and downloading partner invoices.

## List invoices

> Returns a list of invoices. The transactions are returned in sorted order, with the most recent transactions appearing first. \
> Parameters can be used to create a date range to only list invoices that were created within the range.<br>

```json
{"openapi":"3.1.0","info":{"title":"Partner Invoices API","version":"16"},"tags":[{"name":"Invoices","description":"Endpoints for listing, retrieving, and downloading partner invoices."}],"servers":[{"url":"https://api.impact.com"}],"paths":{"/Mediapartners/{AccountSID}/Invoices":{"get":{"operationId":"listInvoices","tags":["Invoices"],"summary":"List invoices","description":"Returns a list of invoices. The transactions are returned in sorted order, with the most recent transactions appearing first. \nParameters can be used to create a date range to only list invoices that were created within the range.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the partner account."},{"name":"StartDate","in":"query","required":false,"description":"ISO 8601 format that filters the list to only show invoices created on or after this date.","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","required":false,"description":"ISO 8601 format that filters the list to only show invoices created on or before this date.","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"Invoices":{"type":"array","items":{"$ref":"#/components/schemas/Invoice"}}}}}}}}}}},"components":{"schemas":{"Invoice":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the invoice object."},"CreatedDate":{"type":"string","format":"date-time","description":"ISO 8601 format of the date and time when the invoice was created."},"RecipientId":{"type":"integer","description":"Unique identifier of the recipient of the invoice."},"RecipientName":{"type":"string","description":"The display name of the recipient of the invoice."},"Currency":{"type":"string","description":"Three-letter ISO 4217 currency code."},"TotalAmount":{"type":"string","format":"decimal","description":"The total amount due to the partner in the invoice."},"TotalVatAmount":{"type":"string","format":"decimal","description":"Value-added tax applied to the invoice, if any exists."},"LineItems":{"type":"array","description":"List of line items summarising each payout component in the invoice.","items":{"$ref":"#/components/schemas/LineItem"}},"DetailedLineItems":{"type":"array","description":"Detailed breakdown of payout amounts per program within the invoice.","items":{"$ref":"#/components/schemas/DetailedLineItem"}},"PDF":{"type":"string","description":"API resource path to download the invoice as a PDF."},"Uri":{"type":"string","description":"Unique reference to this invoice in the impact.com API."}}},"LineItem":{"type":"object","properties":{"CampaignId":{"type":"string","description":"Unique identifier for the program associated with this line item."},"CampaignName":{"type":"string","description":"Display name of the program associated with this line item."},"Description":{"type":"string","enum":["MEDIA_PAYOUT","BONUS"],"description":"The type of payout. MEDIA_PAYOUT is a standard commission payout; BONUS is for meeting program requirements."},"EventMonthYear":{"type":"string","description":"Month (M or MM) and YYYY of when the events occurred (e.g., 42021)."},"Actions":{"type":"string","description":"The number of actions that relate to the payout. May be empty if not applicable."},"NetItemAmount":{"type":"string","format":"decimal","description":"Net payout amount for this line item before VAT."},"VatItemAmount":{"type":"string","format":"decimal","description":"VAT amount applied to this line item. May be empty if not applicable."},"TotalItemAmount":{"type":"string","format":"decimal","description":"Total payout amount for this line item including VAT."},"Status":{"type":"string","enum":["PENDING","PAID","OVERDUE"],"description":"Payment status of this line item."},"DueDate":{"type":"string","format":"date-time","description":"Date and time payment is due for this line item (ISO 8601)."},"PaidDate":{"type":"string","format":"date-time","description":"Date and time this line item was paid (ISO 8601). Empty if not yet paid."}}},"DetailedLineItem":{"type":"object","properties":{"AccountId":{"type":"integer","description":"Unique identifier of the partner account associated with this payout."},"Name":{"type":"string","description":"Display name of the partner account associated with this payout."},"ProgramId":{"type":"string","description":"Unique identifier for the program associated with this payout."},"ProgramName":{"type":"string","description":"Display name of the program associated with this payout."},"EventMonthYear":{"type":"string","description":"Month (M or MM) and YYYY of when the events occurred (e.g., 42021)."},"ActionAmount":{"type":"string","format":"decimal","description":"Amount attributable to tracked actions. May be empty if not applicable."},"OtherAmount":{"type":"string","format":"decimal","description":"Amount attributable to non-action payouts such as bonuses."},"TotalAmount":{"type":"string","format":"decimal","description":"Total payout amount for this detailed line item."}}}}}}
```

## Retrieve a specific invoice

> This request allows you to retrieve an invoice from both impact.com's invoicing methods.

```json
{"openapi":"3.1.0","info":{"title":"Partner Invoices API","version":"16"},"tags":[{"name":"Invoices","description":"Endpoints for listing, retrieving, and downloading partner invoices."}],"servers":[{"url":"https://api.impact.com"}],"paths":{"/Mediapartners/{AccountSID}/Invoices/{Id}":{"get":{"operationId":"retrieveInvoice","tags":["Invoices"],"summary":"Retrieve a specific invoice","description":"This request allows you to retrieve an invoice from both impact.com's invoicing methods.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the partner account."},{"name":"Id","in":"path","required":true,"description":"Unique identifier for the invoice object.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Invoice"}}}}}}}},"components":{"schemas":{"Invoice":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier for the invoice object."},"CreatedDate":{"type":"string","format":"date-time","description":"ISO 8601 format of the date and time when the invoice was created."},"RecipientId":{"type":"integer","description":"Unique identifier of the recipient of the invoice."},"RecipientName":{"type":"string","description":"The display name of the recipient of the invoice."},"Currency":{"type":"string","description":"Three-letter ISO 4217 currency code."},"TotalAmount":{"type":"string","format":"decimal","description":"The total amount due to the partner in the invoice."},"TotalVatAmount":{"type":"string","format":"decimal","description":"Value-added tax applied to the invoice, if any exists."},"LineItems":{"type":"array","description":"List of line items summarising each payout component in the invoice.","items":{"$ref":"#/components/schemas/LineItem"}},"DetailedLineItems":{"type":"array","description":"Detailed breakdown of payout amounts per program within the invoice.","items":{"$ref":"#/components/schemas/DetailedLineItem"}},"PDF":{"type":"string","description":"API resource path to download the invoice as a PDF."},"Uri":{"type":"string","description":"Unique reference to this invoice in the impact.com API."}}},"LineItem":{"type":"object","properties":{"CampaignId":{"type":"string","description":"Unique identifier for the program associated with this line item."},"CampaignName":{"type":"string","description":"Display name of the program associated with this line item."},"Description":{"type":"string","enum":["MEDIA_PAYOUT","BONUS"],"description":"The type of payout. MEDIA_PAYOUT is a standard commission payout; BONUS is for meeting program requirements."},"EventMonthYear":{"type":"string","description":"Month (M or MM) and YYYY of when the events occurred (e.g., 42021)."},"Actions":{"type":"string","description":"The number of actions that relate to the payout. May be empty if not applicable."},"NetItemAmount":{"type":"string","format":"decimal","description":"Net payout amount for this line item before VAT."},"VatItemAmount":{"type":"string","format":"decimal","description":"VAT amount applied to this line item. May be empty if not applicable."},"TotalItemAmount":{"type":"string","format":"decimal","description":"Total payout amount for this line item including VAT."},"Status":{"type":"string","enum":["PENDING","PAID","OVERDUE"],"description":"Payment status of this line item."},"DueDate":{"type":"string","format":"date-time","description":"Date and time payment is due for this line item (ISO 8601)."},"PaidDate":{"type":"string","format":"date-time","description":"Date and time this line item was paid (ISO 8601). Empty if not yet paid."}}},"DetailedLineItem":{"type":"object","properties":{"AccountId":{"type":"integer","description":"Unique identifier of the partner account associated with this payout."},"Name":{"type":"string","description":"Display name of the partner account associated with this payout."},"ProgramId":{"type":"string","description":"Unique identifier for the program associated with this payout."},"ProgramName":{"type":"string","description":"Display name of the program associated with this payout."},"EventMonthYear":{"type":"string","description":"Month (M or MM) and YYYY of when the events occurred (e.g., 42021)."},"ActionAmount":{"type":"string","format":"decimal","description":"Amount attributable to tracked actions. May be empty if not applicable."},"OtherAmount":{"type":"string","format":"decimal","description":"Amount attributable to non-action payouts such as bonuses."},"TotalAmount":{"type":"string","format":"decimal","description":"Total payout amount for this detailed line item."}}}}}}
```

## Download an invoice

> Returns the specified invoice as a downloaded file in PDF format.

```json
{"openapi":"3.1.0","info":{"title":"Partner Invoices API","version":"16"},"tags":[{"name":"Invoices","description":"Endpoints for listing, retrieving, and downloading partner invoices."}],"servers":[{"url":"https://api.impact.com"}],"paths":{"/Mediapartners/{AccountSID}/Invoices/{Id}/Download":{"get":{"operationId":"downloadInvoice","tags":["Invoices"],"summary":"Download an invoice","description":"Returns the specified invoice as a downloaded file in PDF format.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the partner account."},{"name":"Id","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the invoice."}],"responses":{"200":{"description":"PDF file of the invoice.","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/partner-api-reference/reference/invoices/invoices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
